cURL
curl --request POST \
--url https://api.mudstack.com/workspaces/assets/upload/direct \
--header 'Authorization: Bearer <token>' \
--header 'x-account-id: <x-account-id>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.mudstack.com/workspaces/assets/upload/direct"
headers = {
"x-account-id": "<x-account-id>",
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-account-id': '<x-account-id>',
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.mudstack.com/workspaces/assets/upload/direct', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "<string>"
}Uploading
Direct upload to a specified location
Directly uploads a file to a specified location and returns a signed URL for the upload.
POST
/
workspaces
/
assets
/
upload
/
direct
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The ID of the object to be uploaded.
The version ID of the object to be uploaded.
The type of upload.
The content type of the file to be uploaded.
The type of the object to be uploaded.
The checksum of the file to be uploaded.
Response
200 - application/json
A signed URL for the upload.
The signed URL for the upload.
Was this page helpful?
⌘I